## org.eclipse.datatools.modelbase.dbdefinition
Class PercentFreeTerminology

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.PercentFreeTerminology

public final class PercentFreeTerminology
extends AbstractEnumerator

A representation of the literals of the enumeration 'Percent Free Terminology', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getPercentFreeTerminology()`, Serialized Form

Field Summary
`static int` `FILL_FACTOR` The 'FILL FACTOR' literal value.
`static PercentFreeTerminology` `FILL_FACTOR_LITERAL` The 'FILL FACTOR' literal object.
`static int` `PERCENT_FREE` The 'PERCENT FREE' literal value.
`static PercentFreeTerminology` `PERCENT_FREE_LITERAL` The 'PERCENT FREE' literal object.
`static int` `THRESHOLD` The 'THRESHOLD' literal value.
`static PercentFreeTerminology` `THRESHOLD_LITERAL` The 'THRESHOLD' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Percent Free Terminology' enumerators.

Method Summary
`static PercentFreeTerminology` `get(int value)` Returns the 'Percent Free Terminology' literal with the specified value.
`static PercentFreeTerminology` `get(java.lang.String name)` Returns the 'Percent Free Terminology' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERCENT_FREE

    public static final int PERCENT_FREE

  The 'PERCENT FREE' literal value.

  See Also:
    `PERCENT_FREE_LITERAL`, Constant Field Values

### FILL_FACTOR

    public static final int FILL_FACTOR

  The 'FILL FACTOR' literal value.

  See Also:
    `FILL_FACTOR_LITERAL`, Constant Field Values

### THRESHOLD

    public static final int THRESHOLD

  The 'THRESHOLD' literal value.

  See Also:
    `THRESHOLD_LITERAL`, Constant Field Values

### PERCENT_FREE_LITERAL

    public static final PercentFreeTerminology PERCENT_FREE_LITERAL

  The 'PERCENT FREE' literal object.

  If the meaning of 'PERCENT FREE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERCENT_FREE`

### FILL_FACTOR_LITERAL

    public static final PercentFreeTerminology FILL_FACTOR_LITERAL

  The 'FILL FACTOR' literal object.

  If the meaning of 'FILL FACTOR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILL_FACTOR`

### THRESHOLD_LITERAL

    public static final PercentFreeTerminology THRESHOLD_LITERAL

  The 'THRESHOLD' literal object.

  If the meaning of 'THRESHOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `THRESHOLD`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Percent Free Terminology' enumerators.

Method Detail

### get

    public static PercentFreeTerminology get(java.lang.String name)

  Returns the 'Percent Free Terminology' literal with the specified name.

### get

    public static PercentFreeTerminology get(int value)

  Returns the 'Percent Free Terminology' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.